com.r3corda.core.utilities / BriefLogFormatter

# BriefLogFormatter

`class BriefLogFormatter : Formatter`

A Java logging formatter that writes more compact output than the default.

### Constructors

<init> | `BriefLogFormatter()` A Java logging formatter that writes more compact output than the default.

### Functions

format | `fun format(logRecord: LogRecord): String`

### Companion Object Functions

init | `fun init(): Unit` Configures JDK logging to use this class for everything.
initVerbose | `fun initVerbose(vararg loggerNames: String): Unit` Takes a set of strings identifying logger names for which the logging level should be configured. If the logger name starts with a + or an ordinary character, the level is set to Level.ALL. If it starts with a - then logging is switched off.
loggingOff | `fun loggingOff(vararg names: String): Unit` `fun loggingOff(vararg classes: KClass<*>): Unit`
loggingOn | `fun loggingOn(vararg names: String): Unit` `fun loggingOn(vararg classes: KClass<*>): Unit`